| Elektra 0.11.0

Functions
testtool_backend.cpp File Reference

Tests for the Backend class. More...

`#include <backend.hpp>`
`#include <backends.hpp>`
`#include <gtest/gtest.h>`
`#include <iostream>`
`#include <kdb.hpp>`
`#include <kdbconfig.h>`
`#include <string>`

## Functions
void | outputGTest (kdb::KeySet tocheck, std::string name)
| Easily allows one to generate regression tests for keysets.

## Detailed Description

Tests for the Backend class.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Function Documentation

## ◆ outputGTest()

void outputGTest | ( | kdb::KeySet | tocheck,
|  | std::string | name
| ) |  |

Easily allows one to generate regression tests for keysets.

Parameters

  tocheck | the keyset to check (name + string)
  name | the name of the keyset